package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpOutImportIntoPageDTO  {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("入库时间段开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("入库时间段结束时间")
   private LocalDateTime endTime;

   public String getIntoId() {
      return this.intoId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpOutImportIntoPageDTO(intoId=" + var10000 + ", warehouseId=" + this.getWarehouseId() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ")";
   }
}
